# Uses of Interface
org.opensaml.soap.wsfed.EndPointReference

Packages that use EndPointReference
Package
Description
org.opensaml.soap.wsfed
XMLObject interfaces for WS-Federation elements.
org.opensaml.soap.wsfed.impl
XML Object provider implementations for WS-Federation.

## Uses of EndPointReference in org.opensaml.soap.wsfed

Methods in org.opensaml.soap.wsfed that return EndPointReference
Modifier and Type
Method
Description
`EndPointReference`
AppliesTo.`getEndPointReference()`
Gets the endpoint reference of the entity applicable entity.
Methods in org.opensaml.soap.wsfed with parameters of type EndPointReference
Modifier and Type
Method
Description
`void`
AppliesTo.`setEndPointReference(EndPointReference newEndPointReference)`
Sets the endpoint reference of the entity applicable entity.

## Uses of EndPointReference in org.opensaml.soap.wsfed.impl

Classes in org.opensaml.soap.wsfed.impl that implement EndPointReference
Modifier and Type
Class
Description
`class`
`EndPointReferenceImpl`
Implementation of the `EndPointReference` object.
Fields in org.opensaml.soap.wsfed.impl declared as EndPointReference
Modifier and Type
Field
Description
`private EndPointReference`
AppliesToImpl.`endpointReference`
Endpoint reference.
Methods in org.opensaml.soap.wsfed.impl that return EndPointReference
Modifier and Type
Method
Description
`EndPointReference`
EndPointReferenceBuilder.`buildObject()`
Builds a WS-Federation object using its default element name.
`EndPointReference`
EndPointReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`EndPointReference`
AppliesToImpl.`getEndPointReference()`
Gets the endpoint reference of the entity applicable entity.
Methods in org.opensaml.soap.wsfed.impl with parameters of type EndPointReference
Modifier and Type
Method
Description
`void`
AppliesToImpl.`setEndPointReference(EndPointReference reference)`
Sets the endpoint reference of the entity applicable entity.